- Extending Qt Creator Manual
- QtCreator
- CheckableMessageBox
- Extending Qt Creator Manual 13.0.0

# CheckableMessageBox Class

class Utils::CheckableMessageBox

The CheckableMessageBox class implements a message box suitable for questions with a Do not ask again or Do not show again checkbox. More...

Header: | #include <CheckableMessageBox>

- List of all members, including inherited members

## Static Public Members

bool | hasSuppressedQuestions()
QString | msgDoNotAskAgain()
QString | msgDoNotShowAgain()
void | resetAllDoNotAskAgainQuestions()

## Detailed Description

Emulates the QMessageBox API with static conveniences. The message label can open external URLs.

## Member Function Documentation

### `[static]` bool CheckableMessageBox::hasSuppressedQuestions()

Returns whether any message boxes from doNotAskAgainQuestion() are suppressed in the settings.

### `[static]` QString CheckableMessageBox::msgDoNotAskAgain()

Returns the standard Do not ask again check box text.

### `[static]` QString CheckableMessageBox::msgDoNotShowAgain()

Returns the standard Do not show again check box text.

### `[static]` void CheckableMessageBox::resetAllDoNotAskAgainQuestions()

Resets all suppression settings for doNotAskAgainQuestion() so all these message boxes are shown again.